@font-face {
  font-family: "Satoshi";
  src: url(assets/fonts/Satoshi-Medium.woff2) format("woff2"),
    url(assets/fonts/Satoshi-Medium.woff) format("woff");
}

.navbar,
.site-footer {
  background-color: rgba(31, 33, 41, 0.4);
}

.logo {
  color: white;
  height: 50px;
  width: 86px;
  margin-left: 100px !important;
  margin-top: 30px;
  margin-bottom: 30px;
  display: inline-block;
  font-weight: 700;
}
.navbar-container {
  width: 419px;
  margin-top: 30px;
  margin-bottom: 30px;
  height: 50px;
  margin-right: 100px;
}
.card-desc {
  color: #686a6e !important;
  font-size: 18px;
  font-weight: 500;
  line-height: 24.3px;
}
.card-image {
  width: 126px;
  height: 126px;
}
.rectangle-image {
  width: 295px;
  height: 13px;
}
.stars img {
  width: 150px;
  height: 130px;
  position: absolute;
  top: 0;
}
.stars .star-image4 {
  right: 0;
  top: 0;
}
.stars .star-image2 {
  top: 0;
  left: 0;
}
.stars .star-image3 {
  left: 0;
  bottom: 0;
  top: 60px;
}
.stars .star-image1 {
  right: 0;
  bottom: 0;
  top: 60px;
}
.card-header {
  position: relative;
}
.add-btn {
  background-color: #0031b4 !important;
  border: 0;
  border-radius: 12px;
  width: 283px;
  height: 70px;
  padding: 23px, 70px, 23px, 70px;
  margin-top: 10px;
}
.user-name {
  color: white;
}
.mode {
  background-color: #2b1f36;
  border-radius: 25px;
  height: 40px;
  width: 80px;
}
.notification {
  background-color: #2b1f36;
  height: 50px;
  width: 50px;
  margin-left: 10px;
}
.night-img {
  margin-left: 13px;
  width: 24px;
  height: 24px;
}
.moon-img {
  width: 24px;
  height: 24px;
}
.user-info {
  margin-top: 13px;
  margin-left: 10px;
}
.user-info p {
  color: #95969a;
  font-weight: 500;
  font-size: 14px;
}
.user-info h3 {
  font-weight: 700;
  font-size: 16px;
}
.count span {
  color: white;
}
.vertical-line {
  margin-left: 10px !important;
  width: 2px;
  height: 25px;
  background-color: #595b60;
  margin: 0 auto;
}
body {
  font-family: "Satoshi", Arial, sans-serif;
  background: linear-gradient(to right, #082f49, #4a044e);
  height: 100vh;
  margin: 0;
}
.shadowed-element {
  position: absolute;
  height: 352px;
  width: 352px;
  border-radius: 50%;
  background-color: #0031b4;
  backdrop-filter: blur(794px);
  filter: blur(794px);
  z-index: 0;
  opacity: 1;
  box-shadow: 0 0 10px #0031b4;
  top: 46px;
}
.shadowed-element1 {
  position: absolute;
  height: 352px;
  width: 352px;
  border-radius: 50%;
  background-color: #00b49e;
  backdrop-filter: blur(794px);
  filter: blur(794px);
  z-index: 0;
  opacity: 1;
  box-shadow: 0 0 10px #00b49e;
  bottom: 0;
  left: 170px;
}
.shadowed-element2 {
  position: absolute;
  height: 352px;
  width: 352px;
  border-radius: 50%;
  background-color: #b400ad;
  backdrop-filter: blur(794px);
  filter: blur(794px);
  z-index: 0;
  opacity: 1;
  box-shadow: 0 0 10px #b400ad;
  top: 46px;
  right: 40px;
}
.shadowed-element3 {
  position: absolute;
  height: 352px;
  width: 352px;
  border-radius: 50%;
  background-color: #8500b4;
  backdrop-filter: blur(794px);
  filter: blur(794px);
  z-index: 0;
  opacity: 1;
  box-shadow: 0 0 10px #8500b4;
  bottom: 0;
  right: 0px;
}
.card-title {
  font-size: 25px;
  font-style: normal;
  color: white;
  font-weight: 500;
  line-height: normal;
}
.card-title b {
  font-weight: 900;
}
#habbitList {
  margin-top: 39px;
  margin-left: 107px;
  margin-bottom: 59px;
  margin-right: 100px;
}
#habbitList h2 {
  color: rgba(255, 255, 255, 0.7);
  font-size: 30px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}
.habbit-card-row {
  margin-top: 50px;
}
.habbit-card {
  width: 186px;
  height: 130px;
  background: transparent;
  border: 5px solid #395b64;
  border-radius: 10px;
  margin-left: 25px;
  margin-top: 25px;
}
.dark-mode .habbit-card {
  border-color: #395b64 !important; 
  color: white;
}

/* Light Mode styles for habit cards */
.light-mode .habbit-card {
  border-color : #A5C9CA !important ;
  color: black
}
.light-mode .habbit-card.active{
  background-color: #A5C9CA  !important;
}
.dark-mode .habbit-card.active{
  background-color: #395b64 !important;
}
.habbit-card.active {
  background-color: #395b64;
}
.habbit-card:hover {
  /* background-color: #2c3333; */
  cursor: pointer;
}
.habbit-icon {
  margin-bottom: 8px;
}
.habbit-text {
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}
.modal-content {
  background-color: #1f2129;
}

.habit-list {
  border-radius: 8px;
  border: 1px solid #545864;
  padding: 5px;
}
.selected {
  border: 1px solid #0031b4;
  background: rgba(0, 49, 180, 0.1);
}
.new-habit-input {
  width: 100%;
  color: white;
  padding: 10px;
  height: 60px;
  border-radius: 8px;
  border: 1px solid #545864;
  /* background-color: #10121a; */
  outline: none;
}
.new-habit-input::placeholder {
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  color: #686a6e; /* Desired color for the placeholder text */
}
.hidden {
  display: none;
}
.footer-section .icons i {
  color: #0031b4;
}

/* Styles for dark mode */
.dark-mode {
  background-color: #0031b4;
 
  border-radius: 50%;
  color: white;
}

/* Styles for light mode */
.light-mode {
  background-color: #0031b4;
  padding: 1px;
  border-radius: 50%;
  color: rgb(0, 0, 0);
}

/* media queries  */
@media (max-width: 990px) and (min-width: 769px) {
  .notification #popup-content {
    top: 195px !important;
    left: 2px !important;
    width: 200px !important;
  }
}
@media (max-width: 768px) {
  .notification #popup-content {
    top: 125px !important;
    left: 10px;
    width: 200px !important;
  }
  .navbar {
    padding: 0 20px;
  }

  .logo {
    margin-left: 20px;
    margin-right: auto;
  }

  .navbar-container {
    margin-right: auto;
  }

  .mode,
  .notification,
  .user-img {
    margin-right: 5px;
  }

  .user-info {
    display: none;
  }

  .vertical-line {
    display: none;
  }
}

@media (max-width: 480px) {
  .navbar-container {
    width: 100% !important;
  }
  .navbar {
    flex-direction: column;
    height: 270px !important;
    width: 100% !important;
    padding: 20px;
  }
  .logo {
    margin: auto !important;
  }
  .navbar .user-img p {
    display: none;
  }
  .card-title {
    font-size: 14px;
  }
  .card-desc {
    font-size: 12px;
    width: 90%;
  }
  .add-btn {
    width: 60px !important;
    text-align: center;
  }
  .card {
    width: 100% !important;
  }
  .count {
    font-size: 14px !important;
  }
}
